Synq Docs
Management APIOrgs

Change an org

Its name or slug. Needs `org.edit`. Recorded as `org.updated`. Its brands' issuer slugs never change.

PATCH/v1/orgs/{org}

Its name or slug. Needs org.edit. Recorded as org.updated. Its brands' issuer slugs never change.

Authorization

bearer
AuthorizationBearer <token>

An org API key (sk_live_…, sk_test_…), or an access token from the Synq issuer (the synq brand, on the accounts host) for this API.

In: header

Path Parameters

org*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PATCH "https://example.com/v1/orgs/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "slug": "string",  "name": "string",  "default_brand_id": "string",  "plan": "string",  "created_at": "2019-08-24T14:15:22Z",  "disabled_at": "2019-08-24T14:15:22Z",  "disabled_reason": "string"}